import React from "react";
import { useMediaQuery } from "@mui/material";
import { IOCDetailFetcher } from "../IOCDetailFetcher";
import { IOCList } from "../IOCList";
import { IOCTable } from "../IOCTable";

export function IOCAsyncList({
  iocs,
  setIocs,
  rowType,
  pagination,
  onPage,
  loading,
  asyncDetails = true
}) {
  const smUp = useMediaQuery((theme) => theme.breakpoints.up("sm"));
  const smDown = useMediaQuery((theme) => theme.breakpoints.down("sm"));

  return (
    <>
      {smDown ? <IOCList iocs={iocs} /> : null}
      {smUp ? (
        <IOCTable
          iocs={iocs}
          setIocs={setIocs}
          loading={loading}
          rowType={rowType}
          pagination={pagination}
          onPage={onPage}
        />
      ) : null}
      {asyncDetails &&
        iocs.map((ioc, index) => (
          <IOCDetailFetcher
            key={`ioc-${ioc.id}`}
            ioc={ioc}
            index={index}
            setIocs={setIocs}
          />
        ))}
    </>
  );
}
