import React from "react";
import { Paper } from "@mui/material";
import { KeyValueTable } from "@ess-ics/ce-ui-common/dist/components/common/KeyValueTable";
import { useStatistics } from "../../../api/SwaggerApi";

export function IOCStatistics() {
  const [iocsRegistered] = useStatistics("IOCS_REGISTERED");
  const [iocsDeployed] = useStatistics("IOCS_DEPLOYED");
  const [iocsReachable] = useStatistics("IOCS_RUNNING");
  const [iocsWithoutIssues] = useStatistics("IOCS_RUNNING_WITHOUT_ISSUE");

  let iocStats = {
    "Registered IOCs": iocsRegistered?.value,
    "Deployed IOCs": iocsDeployed?.value,
    "Running IOCs": iocsReachable?.value,
    "Issue-free and running IOCs": iocsWithoutIssues?.value
  };

  if (iocsRegistered || iocsDeployed || iocsReachable || iocsWithoutIssues) {
    iocStats = {
      "Registered IOCs": iocsRegistered?.value,
      "Deployed IOCs": iocsDeployed?.value,
      "Running IOCs": iocsReachable?.value,
      "Issue-free and running IOCs": iocsWithoutIssues?.value
    };
  }

  return (
    <Paper>
      <KeyValueTable
        obj={iocStats}
        keyOptions={{ headerName: "IOC statistics" }}
        valueOptions={{
          headerName: "",
          align: "right"
        }}
        sx={{ border: 0 }}
      />
    </Paper>
  );
}
